public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/img/
Date: Thu, 31 May 2018 09:34:05 +0000 (UTC)	[thread overview]
Message-ID: <1527759201.f251eb2e6990882190d5bf38b7b2ade82be12128.mrueg@gentoo> (raw)

commit:     f251eb2e6990882190d5bf38b7b2ade82be12128
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu May 31 09:33:21 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu May 31 09:33:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f251eb2e

app-emulation/img: Initial version

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 app-emulation/img/Manifest         |  1 +
 app-emulation/img/img-0.3.6.ebuild | 32 ++++++++++++++++++++++++++++++++
 app-emulation/img/metadata.xml     | 11 +++++++++++
 3 files changed, 44 insertions(+)

diff --git a/app-emulation/img/Manifest b/app-emulation/img/Manifest
new file mode 100644
index 00000000000..4b5ebf49c7d
--- /dev/null
+++ b/app-emulation/img/Manifest
@@ -0,0 +1 @@
+DIST img-0.3.6.tar.gz 6043716 BLAKE2B 982a6f470f4b79cd4cc2b06be4060f516786f700872510948a25d5ad313cccf402b0fe26c053f7505b66c170221274568ce44632729c16e1ade680b5dc007b0d SHA512 911cf6a761741a04553d5e526399973c0e943cfda5eead7f94196969fed4f586134358b1e6f023c6cf07e755de802e498991eb320bd50af32649749622a26969

diff --git a/app-emulation/img/img-0.3.6.ebuild b/app-emulation/img/img-0.3.6.ebuild
new file mode 100644
index 00000000000..9ebadf2113a
--- /dev/null
+++ b/app-emulation/img/img-0.3.6.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/genuinetools/img"
+EGIT_COMMIT="v${PV}"
+GIT_COMMIT="e4a43d044778e3df56e0de3c6ca00706fcca8b50"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Tool to move from docker-compose to Kubernetes"
+HOMEPAGE="https://github.com/kubernetes/kompose https://kompose.io"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="seccomp"
+
+RESTRICT="test"
+
+src_compile() {
+	local TAGS=$(usex seccomp 'seccomp' '')
+	pushd src/${EGO_PN} || die
+	GOPATH="${S}" go build -tags ${TAGS} -v -ldflags "-X ${EGO_PN}/version.GITCOMMIT=${GIT_COMMIT} -X ${EGO_PN}/version.VERSION=${PV}" -o "${S}"/bin/img . || die
+	popd || die
+}
+
+src_install() {
+	dobin bin/*
+	dodoc -r src/${EGO_PN}/README.md
+}

diff --git a/app-emulation/img/metadata.xml b/app-emulation/img/metadata.xml
new file mode 100644
index 00000000000..06bfaa067c9
--- /dev/null
+++ b/app-emulation/img/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>mrueg@gentoo.org</email>
+		<name>Manuel Rüger</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">genuinetools/img</remote-id>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2018-05-31  9:34 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-05-31  9:34 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-05-31  9:36 [gentoo-commits] repo/gentoo:master commit in: app-emulation/img/ Manuel Rüger
2018-06-01 14:31 Manuel Rüger
2018-06-02 12:40 Manuel Rüger
2018-06-02 12:42 Manuel Rüger
2018-06-06 11:54 Manuel Rüger
2018-06-06 20:43 Manuel Rüger
2018-06-12 11:56 Manuel Rüger
2018-06-15 14:24 Manuel Rüger
2018-06-15 14:24 Manuel Rüger
2018-07-09 16:48 Manuel Rüger
2018-07-09 16:48 Manuel Rüger
2018-07-27 13:52 Manuel Rüger
2018-07-27 13:52 Manuel Rüger
2018-09-06 17:34 Manuel Rüger
2018-09-26 14:08 Manuel Rüger
2018-10-31 12:24 Manuel Rüger
2018-11-14 21:16 Manuel Rüger
2018-12-30 16:10 Manuel Rüger
2019-05-09 15:29 Manuel Rüger
2019-08-19 14:37 Manuel Rüger
2019-08-19 14:39 Manuel Rüger
2019-10-07 14:21 Manuel Rüger
2019-12-05  6:47 Joonas Niilola
2021-04-06 21:17 Sam James
2021-04-15  8:41 Joonas Niilola
2021-09-05 18:46 William Hubbs
2021-09-05 18:46 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1527759201.f251eb2e6990882190d5bf38b7b2ade82be12128.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox